[Overview][Types][Classes][Variables][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.Root

Root node of the tree

## Declaration

Source position: avl_tree.pp line 135

`public property TAVLTree.Root : TAVLTreeNode read fRoot;`

## Description

Root is the root node of the tree. It should not be set explicitly, only use the Add, Delete, Remove, RemovePointer, or Clear methods to manipulate the items in the tree.

## See also

TAVLTree.Add |  | Add a new node to the tree
TAVLTree.Delete |  | Delete a node from the tree
TAVLTree.Remove |  | Remove a data item from the list.
TAVLTree.RemovePointer |  | Remove a pointer item from the list.
TAVLTree.Clear |  | Clears the tree